Subject: Re: [RFC/RFTv3 00/24] net: ethernet: Rework EEE

From: Oleksij Rempel <[email-masked]>
Date: Fri, 26 May 2023 10:56:04 +0200

Hi Andrew,

On Fri, Mar 31, 2023 at 02:54:54AM +0200, Andrew Lunn wrote:
> Most MAC drivers get EEE wrong. The API to the PHY is not very
> obvious, which is probably why. Rework the API, pushing most of the
> EEE handling into phylib core, leaving the MAC drivers to just
> enable/disable support for EEE in there change_link call back, or
> phylink mac_link_up callback.
> 
> MAC drivers are now expect to indicate to phylib/phylink if they
> support EEE. If not, no EEE link modes are advertised. If the MAC does
> support EEE, on phy_start()/phylink_start() EEE advertisement is
> configured.
> 
> v3
> --
 
I was able to test some drivers and things seems to work ok so far. Do you
need more tests for a non RFC version?

Regards,
Oleksij
-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |